# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TI64Value

Packages that use TI64Value
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TI64Value in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TI64Value
Modifier and Type
Class
Description
`class`
`TI64Value`
`class`
`TI64Value`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TI64Value
Modifier and Type
Method
Description
`TI64Value`
TI64Value.`deepCopy()`
`TI64Value`
TColumnValue.`getI64Val()`
`TI64Value`
TI64Value.`setValue(long value)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI64Value
Modifier and Type
Method
Description
`int`
TI64Value.`compareTo(TI64Value other)`
`boolean`
TI64Value.`equals(TI64Value that)`
`static TColumnValue`
TColumnValue.`i64Val(TI64Value value)`
`void`
TColumnValue.`setI64Val(TI64Value value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TI64Value
Modifier
Constructor
Description
``
`TI64Value(TI64Value other)`
Performs a deep copy on other.